dnl aclocal.m4 generated automatically by aclocal 1.4

dnl Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
dnl This file is free software; the Free Software Foundation
dnl gives unlimited permission to copy and/or distribute it,
dnl with or without modifications, as long as this notice is preserved.

dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY, to the extent permitted by law; without
dnl even the implied warranty of MERCHANTABILITY or FITNESS FOR A
dnl PARTICULAR PURPOSE.

# Do all the work for Automake.  This macro actually does too much --
# some checks are only needed if your package does certain things.
# But this isn't really a big deal.

# serial 1

dnl Usage:
dnl AM_INIT_AUTOMAKE(package,version, [no-define])

AC_DEFUN(AM_INIT_AUTOMAKE,
[AC_REQUIRE([AC_PROG_INSTALL])
PACKAGE=[$1]
AC_SUBST(PACKAGE)
VERSION=[$2]
AC_SUBST(VERSION)
dnl test to see if srcdir already configured
if test "`cd $srcdir && pwd`" != "`pwd`" && test -f $srcdir/config.status; then
  AC_MSG_ERROR([source directory already configured; run "make distclean" there first])
fi
ifelse([$3],,
AC_DEFINE_UNQUOTED(PACKAGE, "$PACKAGE", [Name of package])
AC_DEFINE_UNQUOTED(VERSION, "$VERSION", [Version number of package]))
AC_REQUIRE([AM_SANITY_CHECK])
AC_REQUIRE([AC_ARG_PROGRAM])
dnl FIXME This is truly gross.
missing_dir=`cd $ac_aux_dir && pwd`
AM_MISSING_PROG(ACLOCAL, aclocal, $missing_dir)
AM_MISSING_PROG(AUTOCONF, autoconf, $missing_dir)
AM_MISSING_PROG(AUTOMAKE, automake, $missing_dir)
AM_MISSING_PROG(AUTOHEADER, autoheader, $missing_dir)
AM_MISSING_PROG(MAKEINFO, makeinfo, $missing_dir)
AC_REQUIRE([AC_PROG_MAKE_SET])])

#
# Check to make sure that the build environment is sane.
#

AC_DEFUN(AM_SANITY_CHECK,
[AC_MSG_CHECKING([whether build environment is sane])
# Just in case
sleep 1
echo timestamp > conftestfile
# Do `set' in a subshell so we don't clobber the current shell's
# arguments.  Must try -L first in case configure is actually a
# symlink; some systems play weird games with the mod time of symlinks
# (eg FreeBSD returns the mod time of the symlink's containing
# directory).
if (
   set X `ls -Lt $srcdir/configure conftestfile 2> /dev/null`
   if test "[$]*" = "X"; then
      # -L didn't work.
      set X `ls -t $srcdir/configure conftestfile`
   fi
   if test "[$]*" != "X $srcdir/configure conftestfile" \
      && test "[$]*" != "X conftestfile $srcdir/configure"; then

      # If neither matched, then we have a broken ls.  This can happen
      # if, for instance, CONFIG_SHELL is bash and it inherits a
      # broken ls alias from the environment.  This has actually
      # happened.  Such a system could not be considered "sane".
      AC_MSG_ERROR([ls -t appears to fail.  Make sure there is not a broken
alias in your environment])
   fi

   test "[$]2" = conftestfile
   )
then
   # Ok.
   :
else
   AC_MSG_ERROR([newly created file is older than distributed files!
Check your system clock])
fi
rm -f conftest*
AC_MSG_RESULT(yes)])

dnl AM_MISSING_PROG(NAME, PROGRAM, DIRECTORY)
dnl The program must properly implement --version.
AC_DEFUN(AM_MISSING_PROG,
[AC_MSG_CHECKING(for working $2)
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf.  Sigh.
if ($2 --version) < /dev/null > /dev/null 2>&1; then
   $1=$2
   AC_MSG_RESULT(found)
else
   $1="$3/missing $2"
   AC_MSG_RESULT(missing)
fi
AC_SUBST($1)])

# Like AC_CONFIG_HEADER, but automatically create stamp file.

AC_DEFUN(AM_CONFIG_HEADER,
[AC_PREREQ([2.12])
AC_CONFIG_HEADER([$1])
dnl When config.status generates a header, we must update the stamp-h file.
dnl This file resides in the same directory as the config header
dnl that is generated.  We must strip everything past the first ":",
dnl and everything past the last "/".
AC_OUTPUT_COMMANDS(changequote(<<,>>)dnl
ifelse(patsubst(<<$1>>, <<[^ ]>>, <<>>), <<>>,
<<test -z "<<$>>CONFIG_HEADERS" || echo timestamp > patsubst(<<$1>>, <<^\([^:]*/\)?.*>>, <<\1>>)stamp-h<<>>dnl>>,
<<am_indx=1
for am_file in <<$1>>; do
  case " <<$>>CONFIG_HEADERS " in
  *" <<$>>am_file "*<<)>>
    echo timestamp > `echo <<$>>am_file | sed -e 's%:.*%%' -e 's%[^/]*$%%'`stamp-h$am_indx
    ;;
  esac
  am_indx=`expr "<<$>>am_indx" + 1`
done<<>>dnl>>)
changequote([,]))])

# Add --enable-maintainer-mode option to configure.
# From Jim Meyering

# serial 1

AC_DEFUN(AM_MAINTAINER_MODE,
[AC_MSG_CHECKING([whether to enable maintainer-specific portions of Makefiles])
  dnl maintainer-mode is disabled by default
  AC_ARG_ENABLE(maintainer-mode,
[  --enable-maintainer-mode enable make rules and dependencies not useful
                          (and sometimes confusing) to the casual installer],
      USE_MAINTAINER_MODE=$enableval,
      USE_MAINTAINER_MODE=no)
  AC_MSG_RESULT($USE_MAINTAINER_MODE)
  AM_CONDITIONAL(MAINTAINER_MODE, test $USE_MAINTAINER_MODE = yes)
  MAINT=$MAINTAINER_MODE_TRUE
  AC_SUBST(MAINT)dnl
]
)

# Define a conditional.

AC_DEFUN(AM_CONDITIONAL,
[AC_SUBST($1_TRUE)
AC_SUBST($1_FALSE)
if $2; then
  $1_TRUE=
  $1_FALSE='#'
else
  $1_TRUE='#'
  $1_FALSE=
fi])

# $Header: /fridge/cvs/libjcgi/libjcgi.m4,v 1.4 2002/06/21 05:33:49 justins Exp $
# Hacked from configure for GLIB
# Hacked by Justin David Smith, 2001.12.10
# Owen Taylor     97-11-3


dnl AM_PATH_LIBJCGI([MINIMUM-VERSION, [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND [, MODULES]]]])
dnl Test for LIBJCGI, and define LIBJCGI_CFLAGS and LIBJCGI_LIBS, if "gmodule" or 
dnl gthread is specified in MODULES, pass to libjcgi-config
dnl
AC_DEFUN(AM_PATH_LIBJCGI,
[dnl 
dnl Get the cflags and libraries from the libjcgi-config script
dnl
AM_PATH_LIBJ(4.0.6, , 
 [ echo "*** Could not find a suitable version of libj. Cannot use libjcgi."
   LIBJCGI_CFLAGS=""
   LIBJCGI_LIBS=""
   LIBJCGI_VERSION=""
   ifelse([$3], , :, [$3])
 ])
AC_ARG_WITH(libjcgi-prefix,[  --with-libjcgi-prefix=PFX   Prefix where LIBJCGI is installed (optional)],
            libjcgi_config_prefix="$withval", libjcgi_config_prefix="")
AC_ARG_WITH(libjcgi-exec-prefix,[  --with-libjcgi-exec-prefix=PFX Exec prefix where LIBJCGI is installed (optional)],
            libjcgi_config_exec_prefix="$withval", libjcgi_config_exec_prefix="")
AC_ARG_ENABLE(libjcgitest, [  --disable-libjcgitest       Do not try to compile and run a test LIBJCGI program],
                    , enable_libjcgitest=yes)

  if test x$libjcgi_config_exec_prefix != x ; then
     libjcgi_config_args="$libjcgi_config_args --exec-prefix=$libjcgi_config_exec_prefix"
     if test x${LIBJCGI_CONFIG+set} != xset ; then
        LIBJCGI_CONFIG=$libjcgi_config_exec_prefix/bin/libjcgi-config
     fi
  fi
  if test x$libjcgi_config_prefix != x ; then
     libjcgi_config_args="$libjcgi_config_args --prefix=$libjcgi_config_prefix"
     if test x${LIBJCGI_CONFIG+set} != xset ; then
        LIBJCGI_CONFIG=$libjcgi_config_prefix/bin/libjcgi-config
     fi
  fi

  for module in . $4
  do
      case "$module" in
         gmodule) 
             libjcgi_config_args="$libjcgi_config_args gmodule"
         ;;
         gthread) 
             libjcgi_config_args="$libjcgi_config_args gthread"
         ;;
      esac
  done

  AC_PATH_PROG(LIBJCGI_CONFIG, libjcgi-config, no)
  min_libjcgi_version=ifelse([$1], ,0.99.7,$1)
  AC_MSG_CHECKING(for LIBJCGI - version >= $min_libjcgi_version)
  no_libjcgi=""
  if test "$LIBJCGI_CONFIG" = "no" ; then
    no_libjcgi=yes
  else
    LIBJCGI_CFLAGS=`$LIBJCGI_CONFIG $libjcgi_config_args --cflags`
    LIBJCGI_LIBS=`$LIBJCGI_CONFIG $libjcgi_config_args --libs`
    LIBJCGI_VERSION=`$LIBJCGI_CONFIG $libjcgi_config_args --version`
    libjcgi_config_major_version=`$LIBJCGI_CONFIG $libjcgi_config_args --version | \
           sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\1/'`
    libjcgi_config_minor_version=`$LIBJCGI_CONFIG $libjcgi_config_args --version | \
           sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\2/'`
    libjcgi_config_micro_version=`$LIBJCGI_CONFIG $libjcgi_config_args --version | \
           sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\3/'`
    if test "x$enable_libjcgitest" = "xyes" ; then
      ac_save_CFLAGS="$CFLAGS"
      ac_save_LIBS="$LIBS"
      CFLAGS="$CFLAGS $LIBJCGI_CFLAGS"
      LIBS="$LIBJCGI_LIBS $LIBS"
dnl
dnl Now check if the installed LIBJCGI is sufficiently new. (Also sanity
dnl checks the results of libjcgi-config to some extent
dnl
      rm -f conf.libjcgitest
      AC_TRY_RUN([
#define  ALLOW_LIBC_STRING    1
#include <string.h>
#include <libjcgi.h>
#include <stdio.h>
#include <stdlib.h>

int 
main ()
{
  int major, minor, micro;
  unsigned int libjcgi_v;
  unsigned int libjcgi_major_version;
  unsigned int libjcgi_minor_version;
  unsigned int libjcgi_micro_version;
  unsigned int LIBJCGI_MAJOR_VERSION;
  unsigned int LIBJCGI_MINOR_VERSION;
  unsigned int LIBJCGI_MICRO_VERSION;
  char *tmp_version;

  system ("touch conf.libjcgitest");

  /* HP/UX 9 (%@#!) writes to sscanf strings */
  tmp_version = strdup("$min_libjcgi_version");
  if (sscanf(tmp_version, "%d.%d.%d", &major, &minor, &micro) != 3) {
     printf("%s, bad version string\n", "$min_libjcgi_version");
     exit(1);
   }
   
  libjcgi_v = libjcgi_version();
  libjcgi_major_version = (libjcgi_v >> 24) & 0xff;
  libjcgi_minor_version = (libjcgi_v >> 16) & 0xff;
  libjcgi_micro_version = (libjcgi_v >> 8)  & 0xff;
  LIBJCGI_MAJOR_VERSION = (__libjcgi_version >> 24) & 0xff;
  LIBJCGI_MINOR_VERSION = (__libjcgi_version >> 16) & 0xff;
  LIBJCGI_MICRO_VERSION = (__libjcgi_version >> 8)  & 0xff;

  if ((libjcgi_major_version != $libjcgi_config_major_version) ||
      (libjcgi_minor_version != $libjcgi_config_minor_version) ||
      (libjcgi_micro_version != $libjcgi_config_micro_version))
    {
      printf("\n*** 'libjcgi-config --version' returned %d.%d.%d, but LIBJCGI (%d.%d.%d)\n", 
             $libjcgi_config_major_version, $libjcgi_config_minor_version, $libjcgi_config_micro_version,
             libjcgi_major_version, libjcgi_minor_version, libjcgi_micro_version);
      printf ("*** was found! If libjcgi-config was correct, then it is best\n");
      printf ("*** to remove the old version of LIBJCGI. You may also be able to fix the error\n");
      printf("*** by modifying your LD_LIBRARY_PATH enviroment variable, or by editing\n");
      printf("*** /etc/ld.so.conf. Make sure you have run ldconfig if that is\n");
      printf("*** required on your system.\n");
      printf("*** If libjcgi-config was wrong, set the environment variable LIBJCGI_CONFIG\n");
      printf("*** to point to the correct copy of libjcgi-config, and remove the file config.cache\n");
      printf("*** before re-running configure\n");
    } 
  else if ((libjcgi_major_version != LIBJCGI_MAJOR_VERSION) ||
           (libjcgi_minor_version != LIBJCGI_MINOR_VERSION) ||
           (libjcgi_micro_version != LIBJCGI_MICRO_VERSION))
    {
      printf("*** LIBJCGI header files (version %d.%d.%d) do not match\n",
             LIBJCGI_MAJOR_VERSION, LIBJCGI_MINOR_VERSION, LIBJCGI_MICRO_VERSION);
      printf("*** library (version %d.%d.%d)\n",
             libjcgi_major_version, libjcgi_minor_version, libjcgi_micro_version);
    }
  else
    {
      if ((libjcgi_major_version > major) ||
        ((libjcgi_major_version == major) && (libjcgi_minor_version > minor)) ||
        ((libjcgi_major_version == major) && (libjcgi_minor_version == minor) && (libjcgi_micro_version >= micro)))
      {
        return 0;
       }
     else
      {
        printf("\n*** An old version of LIBJCGI (%d.%d.%d) was found.\n",
               libjcgi_major_version, libjcgi_minor_version, libjcgi_micro_version);
        printf("*** You need a version of LIBJCGI newer than %d.%d.%d. The latest version of\n",
               major, minor, micro);
        printf("*** LIBJCGI is always available from http://chaos2.org./.\n");
        printf("***\n");
        printf("*** If you have already installed a sufficiently new version, this error\n");
        printf("*** probably means that the wrong copy of the libjcgi-config shell script is\n");
        printf("*** being found. The easiest way to fix this is to remove the old version\n");
        printf("*** of LIBJCGI, but you can also set the LIBJCGI_CONFIG environment to point to the\n");
        printf("*** correct copy of libjcgi-config. (In this case, you will have to\n");
        printf("*** modify your LD_LIBRARY_PATH enviroment variable, or edit /etc/ld.so.conf\n");
        printf("*** so that the correct libraries are found at run-time))\n");
      }
    }
  return 1;
}
],, no_libjcgi=yes,[echo $ac_n "cross compiling; assumed OK... $ac_c"])
       CFLAGS="$ac_save_CFLAGS"
       LIBS="$ac_save_LIBS"
     fi
  fi
  if test "x$no_libjcgi" = x ; then
     AC_MSG_RESULT(yes)
     ifelse([$2], , :, [$2])     
  else
     AC_MSG_RESULT(no)
     if test "$LIBJCGI_CONFIG" = "no" ; then
       echo "*** The libjcgi-config script installed by LIBJCGI could not be found"
       echo "*** If LIBJCGI was installed in PREFIX, make sure PREFIX/bin is in"
       echo "*** your path, or set the LIBJCGI_CONFIG environment variable to the"
       echo "*** full path to libjcgi-config."
     else
       if test -f conf.libjcgitest ; then
        :
       else
          echo "*** Could not run LIBJCGI test program, checking why..."
          CFLAGS="$CFLAGS $LIBJCGI_CFLAGS"
          LIBS="$LIBS $LIBJCGI_LIBS"
          AC_TRY_LINK([
#include <libjcgi.h>
#include <stdio.h>
],      [ return (__libjcgi_version == 0); ],
        [ echo "*** The test program compiled, but did not run. This usually means"
          echo "*** that the run-time linker is not finding LIBJCGI or finding the wrong"
          echo "*** version of LIBJCGI. If it is not finding LIBJCGI, you'll need to set your"
          echo "*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point"
          echo "*** to the installed location  Also, make sure you have run ldconfig if that"
          echo "*** is required on your system"
          echo "***"
          echo "*** If you have an old version installed, it is best to remove it, although"
          echo "*** you may also be able to get things to work by modifying LD_LIBRARY_PATH" ],
        [ echo "*** The test program failed to compile or link. See the file config.log for the"
          echo "*** exact error that occured. This usually means LIBJCGI was incorrectly installed"
          echo "*** or that you have moved LIBJCGI since it was installed. In the latter case, you"
          echo "*** may want to edit the libjcgi-config script: $LIBJCGI_CONFIG" ])
          CFLAGS="$ac_save_CFLAGS"
          LIBS="$ac_save_LIBS"
       fi
     fi
     LIBJCGI_CFLAGS=""
     LIBJCGI_LIBS=""
     LIBJCGI_VERSION=""
     ifelse([$3], , :, [$3])
  fi
  AC_SUBST(LIBJCGI_CFLAGS)
  AC_SUBST(LIBJCGI_LIBS)
  AC_SUBST(LIBJCGI_VERSION)
  rm -f conf.libjcgitest
])

# $Header: /fridge/cvs/libj/libj.m4,v 1.2 2001/12/11 01:07:34 justins Exp $
# Hacked from configure for GLIB
# Hacked by Justin David Smith, 2001.12.10
# Owen Taylor     97-11-3


dnl AM_PATH_LIBJ([MINIMUM-VERSION, [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND [, MODULES]]]])
dnl Test for LIBJ, and define LIBJ_CFLAGS and LIBJ_LIBS, if "gmodule" or 
dnl gthread is specified in MODULES, pass to libj-config
dnl
AC_DEFUN(AM_PATH_LIBJ,
[dnl 
dnl Get the cflags and libraries from the libj-config script
dnl
AC_ARG_WITH(libj-prefix,[  --with-libj-prefix=PFX   Prefix where LIBJ is installed (optional)],
            libj_config_prefix="$withval", libj_config_prefix="")
AC_ARG_WITH(libj-exec-prefix,[  --with-libj-exec-prefix=PFX Exec prefix where LIBJ is installed (optional)],
            libj_config_exec_prefix="$withval", libj_config_exec_prefix="")
AC_ARG_ENABLE(libjtest, [  --disable-libjtest       Do not try to compile and run a test LIBJ program],
                    , enable_libjtest=yes)

  if test x$libj_config_exec_prefix != x ; then
     libj_config_args="$libj_config_args --exec-prefix=$libj_config_exec_prefix"
     if test x${LIBJ_CONFIG+set} != xset ; then
        LIBJ_CONFIG=$libj_config_exec_prefix/bin/libj-config
     fi
  fi
  if test x$libj_config_prefix != x ; then
     libj_config_args="$libj_config_args --prefix=$libj_config_prefix"
     if test x${LIBJ_CONFIG+set} != xset ; then
        LIBJ_CONFIG=$libj_config_prefix/bin/libj-config
     fi
  fi

  for module in . $4
  do
      case "$module" in
         jmtx | libjmtx) 
             libj_config_args="$libj_config_args libjmtx"
         ;;
         jconio | libjconio) 
             libj_config_args="$libj_config_args libjconio"
         ;;
      esac
  done

  AC_PATH_PROG(LIBJ_CONFIG, libj-config, no)
  min_libj_version=ifelse([$1], ,0.99.7,$1)
  AC_MSG_CHECKING(for LIBJ - version >= $min_libj_version)
  no_libj=""
  if test "$LIBJ_CONFIG" = "no" ; then
    no_libj=yes
  else
    LIBJ_CFLAGS=`$LIBJ_CONFIG $libj_config_args --cflags`
    LIBJ_LIBS=`$LIBJ_CONFIG $libj_config_args --libs`
    LIBJ_VERSION=`$LIBJ_CONFIG $libj_config_args --version`
    libj_config_major_version=`$LIBJ_CONFIG $libj_config_args --version | \
           sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\1/'`
    libj_config_minor_version=`$LIBJ_CONFIG $libj_config_args --version | \
           sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\2/'`
    libj_config_micro_version=`$LIBJ_CONFIG $libj_config_args --version | \
           sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\3/'`
    if test "x$enable_libjtest" = "xyes" ; then
      ac_save_CFLAGS="$CFLAGS"
      ac_save_LIBS="$LIBS"
      CFLAGS="$CFLAGS $LIBJ_CFLAGS"
      LIBS="$LIBJ_LIBS $LIBS"
dnl
dnl Now check if the installed LIBJ is sufficiently new. (Also sanity
dnl checks the results of libj-config to some extent
dnl
      rm -f conf.libjtest
      AC_TRY_RUN([
#define  ALLOW_LIBC_STRING    1
#include <string.h>
#include <libj.h>
#include <stdio.h>
#include <stdlib.h>

int 
main ()
{
  int major, minor, micro;
  unsigned int libj_v;
  unsigned int libj_major_version;
  unsigned int libj_minor_version;
  unsigned int libj_micro_version;
  unsigned int LIBJ_MAJOR_VERSION;
  unsigned int LIBJ_MINOR_VERSION;
  unsigned int LIBJ_MICRO_VERSION;
  char *tmp_version;

  system ("touch conf.libjtest");

  /* HP/UX 9 (%@#!) writes to sscanf strings */
  tmp_version = strdup("$min_libj_version");
  if (sscanf(tmp_version, "%d.%d.%d", &major, &minor, &micro) != 3) {
     printf("%s, bad version string\n", "$min_libj_version");
     exit(1);
   }
   
  libj_v = libj_version();
  libj_major_version = (libj_v >> 24) & 0xff;
  libj_minor_version = (libj_v >> 16) & 0xff;
  libj_micro_version = (libj_v >> 8)  & 0xff;
  LIBJ_MAJOR_VERSION = (__libj_version >> 24) & 0xff;
  LIBJ_MINOR_VERSION = (__libj_version >> 16) & 0xff;
  LIBJ_MICRO_VERSION = (__libj_version >> 8)  & 0xff;

  if ((libj_major_version != $libj_config_major_version) ||
      (libj_minor_version != $libj_config_minor_version) ||
      (libj_micro_version != $libj_config_micro_version))
    {
      printf("\n*** 'libj-config --version' returned %d.%d.%d, but LIBJ (%d.%d.%d)\n", 
             $libj_config_major_version, $libj_config_minor_version, $libj_config_micro_version,
             libj_major_version, libj_minor_version, libj_micro_version);
      printf ("*** was found! If libj-config was correct, then it is best\n");
      printf ("*** to remove the old version of LIBJ. You may also be able to fix the error\n");
      printf("*** by modifying your LD_LIBRARY_PATH enviroment variable, or by editing\n");
      printf("*** /etc/ld.so.conf. Make sure you have run ldconfig if that is\n");
      printf("*** required on your system.\n");
      printf("*** If libj-config was wrong, set the environment variable LIBJ_CONFIG\n");
      printf("*** to point to the correct copy of libj-config, and remove the file config.cache\n");
      printf("*** before re-running configure\n");
    } 
  else if ((libj_major_version != LIBJ_MAJOR_VERSION) ||
           (libj_minor_version != LIBJ_MINOR_VERSION) ||
           (libj_micro_version != LIBJ_MICRO_VERSION))
    {
      printf("*** LIBJ header files (version %d.%d.%d) do not match\n",
             LIBJ_MAJOR_VERSION, LIBJ_MINOR_VERSION, LIBJ_MICRO_VERSION);
      printf("*** library (version %d.%d.%d)\n",
             libj_major_version, libj_minor_version, libj_micro_version);
    }
  else
    {
      if ((libj_major_version > major) ||
        ((libj_major_version == major) && (libj_minor_version > minor)) ||
        ((libj_major_version == major) && (libj_minor_version == minor) && (libj_micro_version >= micro)))
      {
        return 0;
       }
     else
      {
        printf("\n*** An old version of LIBJ (%d.%d.%d) was found.\n",
               libj_major_version, libj_minor_version, libj_micro_version);
        printf("*** You need a version of LIBJ newer than %d.%d.%d. The latest version of\n",
               major, minor, micro);
        printf("*** LIBJ is always available from http://chaos2.org./.\n");
        printf("***\n");
        printf("*** If you have already installed a sufficiently new version, this error\n");
        printf("*** probably means that the wrong copy of the libj-config shell script is\n");
        printf("*** being found. The easiest way to fix this is to remove the old version\n");
        printf("*** of LIBJ, but you can also set the LIBJ_CONFIG environment to point to the\n");
        printf("*** correct copy of libj-config. (In this case, you will have to\n");
        printf("*** modify your LD_LIBRARY_PATH enviroment variable, or edit /etc/ld.so.conf\n");
        printf("*** so that the correct libraries are found at run-time))\n");
      }
    }
  return 1;
}
],, no_libj=yes,[echo $ac_n "cross compiling; assumed OK... $ac_c"])
       CFLAGS="$ac_save_CFLAGS"
       LIBS="$ac_save_LIBS"
     fi
  fi
  if test "x$no_libj" = x ; then
     AC_MSG_RESULT(yes)
     ifelse([$2], , :, [$2])     
  else
     AC_MSG_RESULT(no)
     if test "$LIBJ_CONFIG" = "no" ; then
       echo "*** The libj-config script installed by LIBJ could not be found"
       echo "*** If LIBJ was installed in PREFIX, make sure PREFIX/bin is in"
       echo "*** your path, or set the LIBJ_CONFIG environment variable to the"
       echo "*** full path to libj-config."
     else
       if test -f conf.libjtest ; then
        :
       else
          echo "*** Could not run LIBJ test program, checking why..."
          CFLAGS="$CFLAGS $LIBJ_CFLAGS"
          LIBS="$LIBS $LIBJ_LIBS"
          AC_TRY_LINK([
#include <libj.h>
#include <stdio.h>
],      [ return (__libj_version == 0); ],
        [ echo "*** The test program compiled, but did not run. This usually means"
          echo "*** that the run-time linker is not finding LIBJ or finding the wrong"
          echo "*** version of LIBJ. If it is not finding LIBJ, you'll need to set your"
          echo "*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point"
          echo "*** to the installed location  Also, make sure you have run ldconfig if that"
          echo "*** is required on your system"
          echo "***"
          echo "*** If you have an old version installed, it is best to remove it, although"
          echo "*** you may also be able to get things to work by modifying LD_LIBRARY_PATH" ],
        [ echo "*** The test program failed to compile or link. See the file config.log for the"
          echo "*** exact error that occured. This usually means LIBJ was incorrectly installed"
          echo "*** or that you have moved LIBJ since it was installed. In the latter case, you"
          echo "*** may want to edit the libj-config script: $LIBJ_CONFIG" ])
          CFLAGS="$ac_save_CFLAGS"
          LIBS="$ac_save_LIBS"
       fi
     fi
     LIBJ_CFLAGS=""
     LIBJ_LIBS=""
     LIBJ_VERSION=""
     ifelse([$3], , :, [$3])
  fi
  AC_SUBST(LIBJ_CFLAGS)
  AC_SUBST(LIBJ_LIBS)
  AC_SUBST(LIBJ_VERSION)
  rm -f conf.libjtest
])

